theblog.migrations.0004_auto_20201115_1214.Migration Class Reference
Inheritance diagram for theblog.migrations.0004_auto_20201115_1214.Migration:
[legend]
Collaboration diagram for theblog.migrations.0004_auto_20201115_1214.Migration:
[legend]

## Static Public Attributes

list | dependencies
list | operations

## Member Data Documentation

## dependencies

list theblog.migrations.0004_auto_20201115_1214.Migration.dependencies

static

Initial value:
= [
migrations.swappable_dependency(settings.AUTH_USER_MODEL),
('theblog', '0003_thompson'),
]

## operations

list theblog.migrations.0004_auto_20201115_1214.Migration.operations

static

Initial value:
= [
migrations.CreateModel(
name='thompsonalpha',
fields=[
('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
('ML', models.IntegerField(default=0)),
('DIP', models.IntegerField(default=0)),
('RL', models.IntegerField(default=0)),
('SYSTEM', models.IntegerField(default=0)),
('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
],
),
migrations.CreateModel(
name='thompsontotal',
fields=[
('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
('ML', models.IntegerField(default=0)),
('DIP', models.IntegerField(default=0)),
('RL', models.IntegerField(default=0)),
('SYSTEM', models.IntegerField(default=0)),
('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
],
),
migrations.DeleteModel(
name='thompson',
),
]

The documentation for this class was generated from the following file:

- ablog/theblog/migrations/0004_auto_20201115_1214.py